## php8.1 8.1.5

=== debian/changelog ===
php8.1 (8.1.5-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 16 Sep 2022 11:53:33 -0700

php8.1 (8.1.5-1) unstable; urgency=medium

  * New upstream version 8.1.5

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2022 11:51:30 +0200

php8.1 (8.1.4-1) unstable; urgency=medium

  * New upstream version 8.1.4

 -- Ondřej Surý <ondrej@debian.org>  Sun, 20 Mar 2022 17:43:51 +0100

php8.1 (8.1.3-1) unstable; urgency=medium

  * New upstream version 8.1.3
   + CVE-2021-21708: Fix use-after-free due to php_filter_float() failing
     for ints (Closes: #1006672)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Feb 2022 15:47:42 +0100
