=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: php8.1
 Section: php
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
-Uploaders: Ondřej Surý <ondrej@debian.org>,
-           Lior Kaplan <kaplan@debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>, Lior Kaplan <kaplan@debian.org>
 Build-Depends: apache2-dev (>= 2.4),
                autoconf (>= 2.63),
                automake,
@@ -17,8 +16,8 @@
                firebird-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.5-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.1-dev [!hurd-any !m68k !hppa !ppc64],
                flex,
                freetds-dev,
+               libacl1-dev,
                libapparmor-dev [linux-any],
-               libacl1-dev,
                libapr1-dev (>= 1.2.7-8),
                libargon2-dev | libargon2-0-dev,
                libbz2-dev,
@@ -72,8 +71,7 @@
                tzdata,
                unixodbc-dev,
                zlib1g-dev
-Build-Conflicts: bind-dev,
-                 libxmlrpc-core-c3-dev
+Build-Conflicts: bind-dev, libxmlrpc-core-c3-dev
 Standards-Version: 4.5.0.0
 Vcs-Git: https://salsa.debian.org/php-team/php.git -b debian/main/8.1
 Vcs-Browser: https://salsa.debian.org/php-team/php/-/tree/debian/main/8.1
@@ -91,11 +89,7 @@
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: libapache2-mod-php,
-          php8.1-json,
-          ${php:Provides}
-Replaces: libapache2-mod-php7.4 (>> 8.1.2-1~),
-         libapache2-mod-php8.0 (>> 8.1.2-1~)
+Provides: libapache2-mod-php, php8.1-json, ${php:Provides}
 Recommends: apache2
 Suggests: php-pear
 Description: server-side, HTML-embedded scripting language (Apache 2 module)
@@ -109,30 +103,6 @@
  open source general-purpose scripting language that is especially suited
  for web development and can be embedded into HTML.
 
-Package: libapache2-mod-php7.4
-Section: httpd
-Architecture: any
-Replaces: libapache2-mod-php7.4 (<< 7.4.3-5~)
-Breaks: libapache2-mod-php7.4 (<< 7.4.3-5~)
-Depends: libapache2-mod-php,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Transitional package
- This is a transitional dummy package to libapache2-mod-php8.1.  It can
- be safely removed and libapache2-mod-php installed instead.
-
-Package: libapache2-mod-php8.0
-Section: httpd
-Architecture: any
-Replaces: libapache2-mod-php8.0 (<< 8.0.8-2~)
-Breaks: libapache2-mod-php8.0 (<< 8.0.8-2~)
-Depends: libapache2-mod-php,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Transitional package
- This is a transitional dummy package to libapache2-mod-php8.1.  It can
- be safely removed and libapache2-mod-php installed instead.
-
 Package: libphp8.1-embed
 Architecture: any
 Depends: libmagic1,
@@ -144,9 +114,7 @@
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: libphp-embed,
-          php8.1-json,
-          ${php:Provides}
+Provides: libphp-embed, php8.1-json, ${php:Provides}
 Suggests: php-pear
 Description: HTML-embedded scripting language (Embedded SAPI library)
  This package provides the library /usr/lib/libphp8.1.so which can
@@ -189,9 +157,7 @@
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: php-cgi,
-          php8.1-json,
-          ${php:Provides}
+Provides: php-cgi, php8.1-json, ${php:Provides}
 Suggests: php-pear
 Description: server-side, HTML-embedded scripting language (CGI binary)
  This package provides the /usr/lib/cgi-bin/php CGI interpreter built
@@ -217,9 +183,7 @@
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: php-cli,
-          php8.1-json,
-          ${php:Provides}
+Provides: php-cli, php8.1-json, ${php:Provides}
 Suggests: php-pear
 Description: command-line interpreter for the PHP scripting language
  This package provides the /usr/bin/php8.1 command interpreter, useful for
@@ -236,9 +200,9 @@
          automake (>= 1.11),
          libpcre2-dev (>= 10.30),
          libssl-dev,
+         php8.1-cli (>= ${binary:Version}),
+         php8.1-common (= ${binary:Version}),
          pkg-config,
-         php8.1-cli (>= ${binary:Version}),
-         php8.1-common (= ${binary:Version}),
          shtool,
          ${libtool:Depends},
          ${misc:Depends},
@@ -268,9 +232,7 @@
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: php-fpm,
-          php8.1-json,
-          ${php:Provides}
+Provides: php-fpm, php8.1-json, ${php:Provides}
 Suggests: php-pear
 Pre-Depends: ${misc:Pre-Depends}
 Description: server-side, HTML-embedded scripting language (FPM-CGI binary)
@@ -295,9 +257,7 @@
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: php-phpdbg,
-          php8.1-json,
-          ${php:Provides}
+Provides: php-phpdbg, php8.1-json, ${php:Provides}
 Recommends: php-readline
 Description: server-side, HTML-embedded scripting language (PHPDBG binary)
  This package provides the /usr/bin/phpdbg command interpreter, useful for
@@ -311,9 +271,7 @@
 
 Package: php8.1-xsl
 Architecture: all
-Depends: php8.1-common,
-         php8.1-xml,
-         ${misc:Depends}
+Depends: php8.1-common, php8.1-xml, ${misc:Depends}
 Description: XSL module for PHP (dummy)
  This package is a transitional dummy package and can be safely
  removed.
@@ -323,11 +281,10 @@
 Depends: php-common (>= 1:81~),
          ucf,
          ${misc:Depends},
+         ${php-bcmath:Depends},
          ${php:Depends},
-	 ${php-bcmath:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends},
-	     ${php-bcmath:Pre-Depends}
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}, ${php-bcmath:Pre-Depends}
 Built-Using: ${php:Built-Using}
 Replaces: ${php-bcmath:Replaces}
 Breaks: ${php-bcmath:Breaks}
@@ -346,11 +303,39 @@
 Depends: php-common (>= 1:81~),
          ucf,
          ${misc:Depends},
+         ${php-bz2:Depends},
          ${php:Depends},
-	 ${php-bz2:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends},
-	     ${php-bz2:Pre-Depends}
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}, ${php-bz2:Pre-Depends}
 Built-Using: ${php:Built-Using}
 Replaces: ${php-bz2:Replaces}
 Breaks: ${php-bz2:Breaks}
+Conflicts: ${php-bz2:Conflicts}
+Provides: ${php-bz2:Provides}
+Recommends: ${php-bz2:Recommends}
+Description: bzip2 module for PHP
+ This package provides the bzip2 module(s) for PHP.
+ .
+ PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
+ open source general-purpose scripting language that is especially suited
+ for web development and can be embedded into HTML.
+
+Package: php8.1-common
+Architecture: any
+Depends: php-common (>= 1:81~),
+         ucf,
+         ${misc:Depends},
+         ${php-common:Depends},
+         ${php:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}, ${php-common:Pre-Depends}
+Built-Using: ${php:Built-Using}
+Replaces: ${php-common:Replaces}
+Breaks: ${php-common:Breaks}
+Conflicts: ${php-common:Conflicts}
+Provides: ${php-common:Provides}
+Recommends: ${php-common:Recommends}
+Description: documentation, examples and common module for PHP
+ This package provides the documentation, examples and common module(s) for PHP.
+ .
+ PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
