=== debian/rules ===
--- 
+++ 
@@ -138,8 +138,11 @@
 else
   DEB_CFLAGS_MAINT_APPEND += -O0
 endif
-DEB_CFLAGS_MAINT_APPEND += -Wall -fsigned-char -fno-strict-aliasing
+DEB_CFLAGS_MAINT_APPEND += -Wall -pedantic -fsigned-char -fno-strict-aliasing 
 DEB_CFLAGS_MAINT_APPEND += $(shell getconf LFS_CFLAGS)
+
+# OpenSSL 3.0 support
+DEB_CFLAGS_MAINT_APPEND += -DOPENSSL_SUPPRESS_DEPRECATED
 
 # Enable IEEE-conformant floating point math on alphas (not the default)
 ifeq (alpha-linux-gnu,$(DEB_HOST_GNU_TYPE))
@@ -235,5 +238,3 @@
 export fpm_config = \
 		--prefix=/usr --enable-fpm --enable-cli --disable-cgi --disable-phpdbg \
 		--sysconfdir=/etc/php/$(PHP_NAME_VERSION)/fpm \
-		--with-fpm-user=www-data --with-fpm-group=www-data \
-		--with-fpm-acl \
