=== debian/tests/control ===
Tests: cli
Depends: php8.1-cli, wget

Tests: cgi
Depends: apache2, php8.1-cgi, wget
Restrictions: needs-root

Tests: mod-php
Depends: apache2, libapache2-mod-php8.1, wget
Restrictions: needs-root

Tests: fpm
Depends: apache2, php8.1-fpm, wget
Restrictions: needs-root
