## php8.1 8.1.7

=== debian/changelog ===
php8.1 (8.1.7-2+0~20220625.22+debian9~1.gbp4d1949) unstable; urgency=medium

  ** SNAPSHOT build @4d1949d6b65d8d94851e70d077d70ef6e890cd4a **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Sat, 25 Jun 2022 10:17:26 +0200

php8.1 (8.1.7-2) unstable; urgency=medium

  * Add Provides: php-json to PHP SAPIS

 -- Ondřej Surý <ondrej@debian.org>  Sat, 25 Jun 2022 09:57:04 +0200

php8.1 (8.1.7-1) unstable; urgency=medium

  * New upstream version 8.1.7

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Jun 2022 14:16:47 +0200

php8.1 (8.1.6-1) unstable; urgency=medium

  * New upstream version 8.1.6

 -- Ondřej Surý <ondrej@debian.org>  Tue, 17 May 2022 18:42:21 +0200
