=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: php8.1
 Section: php
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
-Uploaders: Ondřej Surý <ondrej@debian.org>, Lior Kaplan <kaplan@debian.org>
+Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>,
+           Lior Kaplan <kaplan@debian.org>
 Build-Depends: apache2-dev (>= 2.4),
                autoconf (>= 2.63),
                automake,
@@ -71,7 +71,8 @@
                tzdata,
                unixodbc-dev,
                zlib1g-dev
-Build-Conflicts: bind-dev, libxmlrpc-core-c3-dev
+Build-Conflicts: bind-dev,
+                 libxmlrpc-core-c3-dev
 Standards-Version: 4.5.0.0
 Vcs-Git: https://salsa.debian.org/php-team/php.git -b debian/main/8.1
 Vcs-Browser: https://salsa.debian.org/php-team/php/-/tree/debian/main/8.1
@@ -89,7 +90,10 @@
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: libapache2-mod-php, php8.1-json, ${php:Provides}
+Provides: libapache2-mod-php,
+          php-json,
+          php8.1-json,
+          ${php:Provides}
 Recommends: apache2
 Suggests: php-pear
 Description: server-side, HTML-embedded scripting language (Apache 2 module)
@@ -114,7 +118,10 @@
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: libphp-embed, php8.1-json, ${php:Provides}
+Provides: libphp-embed,
+          php-json,
+          php8.1-json,
+          ${php:Provides}
 Suggests: php-pear
 Description: HTML-embedded scripting language (Embedded SAPI library)
  This package provides the library /usr/lib/libphp8.1.so which can
@@ -157,7 +164,10 @@
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: php-cgi, php8.1-json, ${php:Provides}
+Provides: php-cgi,
+          php-json,
+          php8.1-json,
+          ${php:Provides}
 Suggests: php-pear
 Description: server-side, HTML-embedded scripting language (CGI binary)
  This package provides the /usr/lib/cgi-bin/php CGI interpreter built
@@ -183,7 +193,10 @@
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: php-cli, php8.1-json, ${php:Provides}
+Provides: php-cli,
+          php-json,
+          php8.1-json,
+          ${php:Provides}
 Suggests: php-pear
 Description: command-line interpreter for the PHP scripting language
  This package provides the /usr/bin/php8.1 command interpreter, useful for
@@ -232,7 +245,10 @@
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: php-fpm, php8.1-json, ${php:Provides}
+Provides: php-fpm,
+          php-json,
+          php8.1-json,
+          ${php:Provides}
 Suggests: php-pear
 Pre-Depends: ${misc:Pre-Depends}
 Description: server-side, HTML-embedded scripting language (FPM-CGI binary)
@@ -257,7 +273,10 @@
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: php-phpdbg, php8.1-json, ${php:Provides}
+Provides: php-json,
+          php-phpdbg,
+          php8.1-json,
+          ${php:Provides}
 Recommends: php-readline
 Description: server-side, HTML-embedded scripting language (PHPDBG binary)
  This package provides the /usr/bin/phpdbg command interpreter, useful for
@@ -271,7 +290,9 @@
 
 Package: php8.1-xsl
 Architecture: all
-Depends: php8.1-common, php8.1-xml, ${misc:Depends}
+Depends: php8.1-common,
+         php8.1-xml,
+         ${misc:Depends}
 Description: XSL module for PHP (dummy)
  This package is a transitional dummy package and can be safely
  removed.
@@ -281,10 +302,11 @@
 Depends: php-common (>= 1:81~),
          ucf,
          ${misc:Depends},
-         ${php-bcmath:Depends},
          ${php:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}, ${php-bcmath:Pre-Depends}
+	 ${php-bcmath:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+	     ${php-bcmath:Pre-Depends}
 Built-Using: ${php:Built-Using}
 Replaces: ${php-bcmath:Replaces}
 Breaks: ${php-bcmath:Breaks}
@@ -303,10 +325,11 @@
 Depends: php-common (>= 1:81~),
          ucf,
          ${misc:Depends},
-         ${php-bz2:Depends},
          ${php:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}, ${php-bz2:Pre-Depends}
+	 ${php-bz2:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+	     ${php-bz2:Pre-Depends}
 Built-Using: ${php:Built-Using}
 Replaces: ${php-bz2:Replaces}
 Breaks: ${php-bz2:Breaks}
@@ -325,17 +348,14 @@
 Depends: php-common (>= 1:81~),
          ucf,
          ${misc:Depends},
-         ${php-common:Depends},
          ${php:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}, ${php-common:Pre-Depends}
+	 ${php-common:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+	     ${php-common:Pre-Depends}
 Built-Using: ${php:Built-Using}
 Replaces: ${php-common:Replaces}
 Breaks: ${php-common:Breaks}
 Conflicts: ${php-common:Conflicts}
 Provides: ${php-common:Provides}
 Recommends: ${php-common:Recommends}
-Description: documentation, examples and common module for PHP
- This package provides the documentation, examples and common module(s) for PHP.
- .
- PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
